Bug 439870 - OpenOffice.org Impress crashed during edits on included spreadsheet
OpenOffice.org Impress crashed during edits on included spreadsheet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 16:26 EDT by Alex Maier
Modified: 2008-05-21 13:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEL-5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Maier 2008-03-31 16:26:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080213 Red Hat/1.5.0.12-11.el5_1 Firefox/1.5.0.12

Description of problem:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-14.el5-i386
(V)    kernel is: Linux 2.6.18-53.1.14.el5 #1 SMP Tue Feb 19 07:18:21 EST 2008 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.4.25-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x7b4ee38: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22e38
0x7b4facb: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23acb
0x749420:  + 0x420 (__kernel_sigreturn + 0x0)
0x9504b1: /lib/libc.so.6 + 0x2a4b1 (abort + 0x101)
0x25ab40: /usr/lib/libstdc++.so.6 + 0xb6b40 (__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x258625: /usr/lib/libstdc++.so.6 + 0xb4625
0x258662: /usr/lib/libstdc++.so.6 + 0xb4662
0x25871b: /usr/lib/libstdc++.so.6 + 0xb471b (__cxa_rethrow + 0x5b)
0x3f54a2c: /usr/lib/openoffice.org2.0/program/libembobj.so + 0x33a2c (OCommonEmbeddedObject::changeState(long) + 0x4dc)
0x24f537d: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xf437d (svt::EmbeddedObjectRef::Clear() + 0x2ad)
0x24f54d0: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xf44d0 (svt::EmbeddedObjectRef::~EmbeddedObjectRef() + 0x50)
0x3a4875e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x74375e (SdrOle2Obj::~SdrOle2Obj() + 0xee)
0x3a6dc2d: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x768c2d (SdrObjList::Clear() + 0xad)
0x3a6e497: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x769497 (SdrObjList::~SdrObjList() + 0x37)
0x3a6e9b8: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x7699b8 (SdrPage::~SdrPage() + 0x1a8)
0x3acb268: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x7c6268 (FmFormPage::~FmFormPage() + 0x58)
0x66fff16: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x23ff16 (SdPage::~SdPage() + 0x136)
0x3a59757: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x754757 (SdrModel::DeletePage(unsigned short) + 0x27)
0x66e3dad: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x223dad
0x3a5b1a2: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x7561a2 (SdrModel::ClearModel(unsigned char) + 0x52)
0x66e094f: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x22094f
0x66aeb4f: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x1eeb4f (sd::DrawDocShell::~DrawDocShell() + 0xff)
0x7fab5e8: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x6f5e8 (SvRefBase::QueryDelete() + 0x18)
0x2a88443: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x12443 (SotObject::QueryDelete() + 0x33)
0x2d208fe: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x24c8fe
0x2d315ef: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x25d5ef (SfxTopViewFrame::~SfxTopViewFrame() + 0x4f)
0x2d30b31: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x25cb31 (SfxTopViewFrame::Close() + 0x61)
0x2d0eabd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x23aabd
0x2d3aef7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x266ef7 (SfxBaseController::dispose() + 0x487)
0x6774d37: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2b4d37
0x783f194: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x71194
0x783e6af: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x706af
0x7878c66: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xaac66
0x7876ad3: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa8ad3
0x78780b4: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xaa0b4
0x78782c4: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xaa2c4
0x70d4a65: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2e5a65
0x7072546: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x283546
0x79a401: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x50401 (SalDisplay::DispatchInternalEvent() + 0xb1)
0xf6cd06: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfd06
0xf6cd41: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfd41
0xd265e1: /lib/libglib-2.0.so.0 + 0x295e1
0xd28342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0xd2b31f: /lib/libglib-2.0.so.0 + 0x2e31f
0xd2b885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0xf6ec31: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11c31
0x79b877: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x51877 (X11SalInstance::Yield(bool, bool) + 0x37)
0x6e84858: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x95858 (Application::Yield(bool) + 0x68)
0x6e8492c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9592c (Application::Execute() + 0x3c)
0x171289: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26289 (desktop::Desktop::Main() + 0x1779)
0x6e8a3fc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b3fc
0x6e8a505: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b505 (SVMain() + 0x35)
0x162989: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17989 (sal_main + 0x59)
0x162a14: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a14 (main + 0x44)
0x93bdec: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00c1e000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00a0e000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x0025b000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00298000)
	libdl.so.2 => /lib/libdl.so.2 (0x0019a000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00114000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so (0x00c90000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00785000)
	libm.so.6 => /lib/libm.so.6 (0x0012b000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00152000)
	libc.so.6 => /lib/libc.so.6 (0x002b1000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0015e000)
	/lib/ld-linux.so.2 (0x00909000)
...end sample ldd details ...


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Caolan McNamara 2008-04-01 04:34:32 EDT
I can hope that this is fixed in 2.4.0 which will be rolled out for RHEL-5.2
Comment 2 Caolan McNamara 2008-05-21 13:54:35 EDT
RHEL-5.2 includes 2.3.0 which I believe has this fix in it. If the problem
persists please *do* reopen this issue.

For more information on where to find the updated files, please follow the link
below. You may reopen this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0403.html

Note You need to log in before you can comment on or make changes to this bug.